/*
				About Dialog
 */

#ifndef ABOUT_DLG_H
#define ABOUT_DLG_H

#include <gtk/gtk.h>
#include "edv_types.h"


typedef struct _about_dlg_struct		about_dlg_struct;
#define ABOUT_DLG(p)		((about_dlg_struct *)(p))


/*
 *	About Dialog:
 */
struct _about_dlg_struct {

	GtkWidget	*toplevel;
	GtkAccelGroup	*accelgrp;
	gboolean	processing;
	gint		busy_count,
			freeze_count;
	edv_core_struct *core;

	GtkWidget	*main_vbox,
			*notebook,
			*credits_clist,
			*license_clist,
			*ok_btn;

};


extern about_dlg_struct *AboutDlgNew(edv_core_struct *core);
extern gboolean AboutDlgIsMapped(about_dlg_struct *d);
extern void AboutDlgMap(about_dlg_struct *d);
extern void AboutDlgUnmap(about_dlg_struct *d);
extern void AboutDlgDelete(about_dlg_struct *d);


#endif	/* ABOUT_DLG_H */
